Bug 1571895 - [RHV] Last Boot Time is "N/A" for VM if you shutdown guest
Summary: [RHV] Last Boot Time is "N/A" for VM if you shutdown guest
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: 5.12.0
Assignee: Roberto Ciatti
QA Contact: Ganesh Hubale
URL:
Whiteboard:
Depends On:
Blocks: 1767811
TreeView+ depends on / blocked
 
Reported: 2018-04-25 15:45 UTC by Jan Zmeskal
Modified: 2020-03-25 18:03 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1767811 (view as bug list)
Environment:
Last Closed: 2020-03-25 18:03:06 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)

Description Jan Zmeskal 2018-04-25 15:45:04 UTC
Description of problem:
When you use power operation shutdown guest on RHV VM, the Last Boot Time operation is lost without any good reason.

Version-Release number of selected component (if applicable):
CFME 5.9.2.3
RHV 4.2.2.5

How reproducible:
100 %

Steps to Reproduce:
1. Have a CFME appliance with RHV as infrastructure provider
2. Provision a VM from a template on RHV provider
3. Wait for that VM to be provision and make sure it's up. Take note of Power Management -> Last Boot Time
4. Go to VM's detail page -> Power -> Shutdown Guest. Wait for the VM to be shut down.
5. Refresh VM's details page and inspect Power Management -> Last Boot Time

Actual results:
The content of Last Boot Time is "N/A".

Expected results:
Even though VM is not up, there's no reason to lose information about time of VM's last boot. Therefore I'd expect it to be available.

Additional info:

Comment 6 Ganesh Hubale 2019-06-24 15:27:04 UTC
Hi,

I can still able to reproduce this issue on version: 5.10.6.0

Hence reopening this BZ.

Thanks,
Ganesh

Comment 8 Ganesh Hubale 2019-08-27 09:58:58 UTC
Discussed with @Roberto,

Observations:
=============

1] For rhv43 provider, If Vm is in off state(by shutdown or power off operations) then we lose 'Last Boot Time' always. And it changes to 'N/A'

2] Also checked with VMWare provider, In this case, sometimes we lose 'Last Boot Time' for Vm which is in 'Off' power state. This is not always reproducible.

Comment 10 CFME Bot 2019-09-03 11:46:27 UTC
New commit detected on ManageIQ/manageiq-providers-ovirt/master:

https://github.com/ManageIQ/manageiq-providers-ovirt/commit/45d0ab74b0dfbcf716d50732d3f08a6dc95cf878
commit 45d0ab74b0dfbcf716d50732d3f08a6dc95cf878
Author:     Roberto Ciatti <gekorob@users.noreply.github.com>
AuthorDate: Fri Aug 30 10:16:16 2019 -0400
Commit:     Roberto Ciatti <gekorob@users.noreply.github.com>
CommitDate: Fri Aug 30 10:16:16 2019 -0400

    Preserving Last Boot time

    When a vm goes in down status, the start_time info is missing and we can
    avoid to overwrite with a nil the information we may already have.

    Fixes:
    https://bugzilla.redhat.com/show_bug.cgi?id=1571895

 app/models/manageiq/providers/redhat/inventory/parser/infra_manager.rb | 14 +-
 spec/models/manageiq/providers/redhat/infra_manager/refresh/refresher_4_async_graph_spec.rb | 17 +
 2 files changed, 27 insertions(+), 4 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.